Subject: Re: [Bitcoin-development] Address Expiration to Prevent Reuse

From: Tom Harding <[email-masked]>
Date: Thu, 26 Mar 2015 13:38:04 -0700

On 3/25/2015 12:22 PM, Gregory Maxwell wrote:
>
> Verification with duplicate elimination requires O(N) storage (with N
> being the length of the history), since you need to track all the
> duplicates to reject.
>

I addressed that by limiting the duplicate check to an X-block segment.  
X is hard-coded in this simple scheme (X=144  => "1-day addresses").  
You could picture a selectable expiration duration too.